Upstream information

CVE-2007-5237 at MITRE

Description

Java Web Start in Sun JDK and JRE 6 Update 2 and earlier does not properly enforce access restrictions for untrusted applications, which allows user-assisted remote attackers to read and modify local files via an untrusted application, aka "two vulnerabilities."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.1
Vector AV:N/AC:H/Au:N/C:C/I:C/A:N
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact None
SUSE Bugzilla entry: 332137 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX 10.0
  • java-1_5_0-sun >= 1.5.0_13-0.1
  • java-1_5_0-sun-alsa >= 1.5.0_13-0.1
  • java-1_5_0-sun-demo >= 1.5.0_13-0.1
  • java-1_5_0-sun-devel >= 1.5.0_13-0.1
  • java-1_5_0-sun-jdbc >= 1.5.0_13-0.1
  • java-1_5_0-sun-plugin >= 1.5.0_13-0.1
SUSE LINUX 10.1
  • java-1_5_0-sun >= 1.5.0_13-0.1
  • java-1_5_0-sun-alsa >= 1.5.0_13-0.1
  • java-1_5_0-sun-demo >= 1.5.0_13-0.1
  • java-1_5_0-sun-devel >= 1.5.0_13-0.1
  • java-1_5_0-sun-jdbc >= 1.5.0_13-0.1
  • java-1_5_0-sun-plugin >= 1.5.0_13-0.1
  • java-1_5_0-sun-src >= 1.5.0_13-0.1
SuSE Linux Desktop 1.0
  • java2 >= 1.4.2-155
  • java2-jre >= 1.4.2-155
sles9-oes.x86
YOU Patch Nr: 11915
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
Open Enterprise Server
  • java2 >= 1.4.2-129.32
  • java2-jre >= 1.4.2-129.32
sles9-oes.x86
YOU Patch Nr: 11915
SUSE LINUX 10.0
  • java-1_4_2-sun >= 1.4.2.16-0.1
  • java-1_4_2-sun-alsa >= 1.4.2.16-0.1
  • java-1_4_2-sun-demo >= 1.4.2.16-0.1
  • java-1_4_2-sun-devel >= 1.4.2.16-0.1
  • java-1_4_2-sun-jdbc >= 1.4.2.16-0.1
  • java-1_4_2-sun-plugin >= 1.4.2.16-0.1
  • java-1_4_2-sun-src >= 1.4.2.16-0.1
SUSE LINUX 10.1
  • java-1_4_2-sun >= 1.4.2.16-0.2
  • java-1_4_2-sun-alsa >= 1.4.2.16-0.2
  • java-1_4_2-sun-demo >= 1.4.2.16-0.2
  • java-1_4_2-sun-devel >= 1.4.2.16-0.2
  • java-1_4_2-sun-jdbc >= 1.4.2.16-0.2
  • java-1_4_2-sun-plugin >= 1.4.2.16-0.2
  • java-1_4_2-sun-src >= 1.4.2.16-0.2